package cn.iocoder.yudao.module.order.convert.orderMutual;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.order.vo.orderMutual.*;
import cn.iocoder.yudao.module.order.dal.dataobject.orderMutual.OrderMutualDO;

/**
 * 订单互斥 Convert
 * @author 系统管理员
 */
@Mapper
public interface OrderMutualConvert {
    /*****转换MapStruct*****/
    OrderMutualConvert INSTANCE = Mappers.getMapper(OrderMutualConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    OrderMutualDO convert(OrderMutualCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    OrderMutualDO convert(OrderMutualUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    OrderMutualBackVO convert(OrderMutualDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<OrderMutualBackVO> convertList(List<OrderMutualDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<OrderMutualBackVO> convertPage(PageResult<OrderMutualDO> page);
}
